function write_autosubmit_conf(recipe, outdir) {
  # Function to write autosubmit configuration from an Auto-S2S recipe
  template_dir <- "autosubmit/conf/"
  ## TODO: create folder for auto experiment
  conf_dest_dir <- paste0("/esarchive/autosubmit/", expid "/conf/")

  for (file in list.files(template_dir)) {
    # Define destionation directory and file name accordin to expid
    conf_type <- strsplit(file, split = "[.]")[[1]][1]
    extension <- strsplit(file, split = "[.]")[[1]][2]
    dest_file <- paste0(conf_type, "_", expid, ".", extension)
    dest_dir <- paste0("/esarchive/autosubmit/", expid, "/")
    # Read configuration file
    conf <- read.config(file = paste0(template_dir, file))
    if (conf_type == "autosubmit") {
      ## Section 1: autosubmit.conf
      ## expid, email notifications and address
      conf$config$EXPID <- expid
      conf$mail$NOTIFICATIONS < recipe$Run$auto_conf$email_notifications
      conf$mail$TO <- recipe$Run$auto_conf$email_address
    } else if (conf_type == "expdef") {
      ## Section 2: expdef
      ## expid, hpcarch?, numchunks, project_type, project?, project_destination = auto-s2s
      conf$DEFAULT$EXPID <- expid
      # conf$experiment$NUMCHUNKS <- 
      conf$local$PROJECT_PATH <- recipe$Run$code_dir
    } else if (conf_type == "jobs") {
      ## Section 3: jobs
      ## wallclock, notify_on?, platform?, processors, retrials (none?)
      conf$verification$WALLCLOCK <- recipe$Run$auto_conf$wallclock
      if (recipe$Run$auto_conf$notify_completed) {
        conf$verification$NOTIFY_ON <- paste(conf$verification$NOTIFY_ON,
					     "COMPLETED")
      }
      if (recipe$Run$auto_conf$notify_failed) {
	conf$verification$NOTIFY_ON <- paste(conf$verification$NOTIFY_ON,
					     "FAILED")
      }
      conf$verification$MEMORY <- recipe$Run$auto_conf$memory
      conf$verification$PROCESSORS <- recipe$Run$auto_conf$processors
    } else if (conf_type = platform) {
      ## Section 4: platform configuration
      ## nord3v2 configuration... platform name? user, processors_per_node
      # conf$nord3v2$USER <- 
    } (conf_type = proj) {
      ## Section 5: proj
      ## modules? Info that goes on script, e.g. output directory
      conf$common$OUTDIR <- outdir
    }
    write.config(conf, paste0(dest_dir, dest_file), "ini")
}
